Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063387 - [abrt] nautilus: tags_view_add_tags_cb(): nautilus killed by SIGSEGV
Summary: [abrt] nautilus: tags_view_add_tags_cb(): nautilus killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:25fd9270adcef10dc889d80b9a3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 15:37 UTC by Michal Nowak
Modified: 2015-06-29 15:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:07:48 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-10 15:37 UTC, Michal Nowak
no flags Details
File: cgroup (deleted)
2014-02-10 15:37 UTC, Michal Nowak
no flags Details
File: core_backtrace (deleted)
2014-02-10 15:37 UTC, Michal Nowak
no flags Details
File: dso_list (deleted)
2014-02-10 15:37 UTC, Michal Nowak
no flags Details
File: environ (deleted)
2014-02-10 15:38 UTC, Michal Nowak
no flags Details
File: exploitable (deleted)
2014-02-10 15:38 UTC, Michal Nowak
no flags Details
File: limits (deleted)
2014-02-10 15:38 UTC, Michal Nowak
no flags Details
File: maps (deleted)
2014-02-10 15:38 UTC, Michal Nowak
no flags Details
File: open_fds (deleted)
2014-02-10 15:38 UTC, Michal Nowak
no flags Details
File: proc_pid_status (deleted)
2014-02-10 15:38 UTC, Michal Nowak
no flags Details
File: var_log_messages (deleted)
2014-02-10 15:38 UTC, Michal Nowak
no flags Details

Description Michal Nowak 2014-02-10 15:37:36 UTC
Description of problem:
Searched for "good" and then attempted to delete some file, Nautilus crashed and file was not deleted. (Btw, seeing "/home/mclasen/Sources/..." in backtrace seems odd.)

Version-Release number of selected component:
nautilus-3.10.1-3.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        nautilus --new-window /var/tmp/abrt/ccpp-2014-02-10-09:19:28-1751
crash_function: tags_view_add_tags_cb
executable:     /usr/bin/nautilus
kernel:         3.12.9-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 tags_view_add_tags_cb at tracker-tags-view.c:504
 #1 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #2 tracker_sparql_backend_real_query_async_co at /home/mclasen/Sources/tracker/src/libtracker-sparql-backend/tracker-backend.vala:88
 #3 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #4 tracker_direct_connection_real_query_async_co at /home/mclasen/Sources/tracker/src/libtracker-direct/tracker-direct.vala:131
 #5 __lambda3_ at /home/mclasen/Sources/tracker/src/libtracker-direct/tracker-direct.vala:112
 #6 ___lambda3__gsource_func at tracker-direct.c:657
 #10 g_main_context_iteration at gmain.c:3774
 #11 g_application_run at gapplication.c:1635

Comment 1 Michal Nowak 2014-02-10 15:37:42 UTC
Created attachment 861441 [details]
File: backtrace

Comment 2 Michal Nowak 2014-02-10 15:37:52 UTC
Created attachment 861442 [details]
File: cgroup

Comment 3 Michal Nowak 2014-02-10 15:37:56 UTC
Created attachment 861443 [details]
File: core_backtrace

Comment 4 Michal Nowak 2014-02-10 15:37:59 UTC
Created attachment 861444 [details]
File: dso_list

Comment 5 Michal Nowak 2014-02-10 15:38:01 UTC
Created attachment 861445 [details]
File: environ

Comment 6 Michal Nowak 2014-02-10 15:38:03 UTC
Created attachment 861446 [details]
File: exploitable

Comment 7 Michal Nowak 2014-02-10 15:38:05 UTC
Created attachment 861447 [details]
File: limits

Comment 8 Michal Nowak 2014-02-10 15:38:10 UTC
Created attachment 861448 [details]
File: maps

Comment 9 Michal Nowak 2014-02-10 15:38:16 UTC
Created attachment 861449 [details]
File: open_fds

Comment 10 Michal Nowak 2014-02-10 15:38:18 UTC
Created attachment 861450 [details]
File: proc_pid_status

Comment 11 Michal Nowak 2014-02-10 15:38:20 UTC
Created attachment 861451 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 10:52:39 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 15:07:48 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.